Bug 888884 - Typo (pasword) and mistakingly c-formatted message
Summary: Typo (pasword) and mistakingly c-formatted message
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libreport
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jiri Moskovcak
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-19 17:35 UTC by Yuri Chornoivan
Modified: 2015-02-01 22:55 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-01-12 01:17:42 UTC
Type: Bug


Attachments (Terms of Use)
Patch to fix the bug (1.46 KB, text/plain)
2012-12-19 17:35 UTC, Yuri Chornoivan
no flags Details

Description Yuri Chornoivan 2012-12-19 17:35:57 UTC
Created attachment 666230 [details]
Patch to fix the bug

Description of problem: libreport messages contain typo (pasword) and mistakingly c-formatted message


Version-Release number of selected component (if applicable): git/master


How reproducible: always


Steps to Reproduce: open any libreport po files
  
Actual results:
pasword

#: ../src/plugins/abrt-screencast:86
#, c-format
msgid "Encoding: {0!s}% complete"

Expected results:
password

#: ../src/plugins/abrt-screencast:86
#, no-c-format
msgid "Encoding: {0!s}% complete"

Additional info:
Thanks for fixing these bugs

Comment 1 Jiri Moskovcak 2012-12-20 06:53:22 UTC
Fixed in git:

commit 78250fe15cc748b10d1d78b818b2e93983d6a85e
Author: Yuri Chornoivan <yurchor@ukr.net>
Date:   Wed Dec 19 19:25:31 2012 +0200

    Fix typo, remove c-format from a not c-formatted message

Thanks for the patches!

Comment 2 Fedora Update System 2012-12-20 08:56:10 UTC
abrt-2.0.20-1.fc18,btparser-0.24-1.fc18,libreport-2.0.20-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/abrt-2.0.20-1.fc18,btparser-0.24-1.fc18,libreport-2.0.20-1.fc18

Comment 3 Fedora Update System 2012-12-20 09:46:34 UTC
abrt-2.0.20-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/abrt-2.0.20-1.fc17

Comment 4 Fedora Update System 2012-12-21 01:31:14 UTC
Package abrt-2.0.20-1.fc18, btparser-0.24-1.fc18, libreport-2.0.20-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing abrt-2.0.20-1.fc18 btparser-0.24-1.fc18 libreport-2.0.20-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-20725/abrt-2.0.20-1.fc18,btparser-0.24-1.fc18,libreport-2.0.20-1.fc18
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2013-01-12 01:17:44 UTC
abrt-2.0.20-1.fc18, btparser-0.24-1.fc18, libreport-2.0.20-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2013-02-26 02:39:48 UTC
abrt-2.0.20-1.fc17, btparser-0.24-1.fc17, libreport-2.0.20-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.